Subject: Re: bug#50224: 27.2; auto-save-visited-mode blanks out the echo area after 5 seconds

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Aug 2021 15:39:09 +0300

> Date: Fri, 27 Aug 2021 11:06:53 +0000
> From: meedstrom--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> So this has been troubling me for years, I thought it was just a part of
> how Emacs worked.  But it cannot be intended.  Often there are complex
> prompts that take time to read, such what lsp-mode asks you upon
> visiting a .sh buffer.  Then after 5 seconds, the prompt text
> disappears, but the minibuffer is still active and awaiting your reply.
> 
> To test it:
> 
> - M-x auto-save-visited-mode
> - edit any buffer
> - eval (message "foo")
> - wait 5 secs
> 
> You'll see "foo" disappear.

I cannot reproduce this, neither in Emacs 27.2 nor in the current Git
master.  I see some message flash momentarily after 5 sec, but then
"foo" gets restored.

I wonder what do you do differently to make Emacs behave like you say?

Thanks.